
#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class TextureDisplay : public iglu::IGLUDisplayMode {
public:
	TextureDisplay() : IGLUDisplayMode() {}
	virtual ~TextureDisplay() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "IGLU Texture Demonstration"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "This display mode loads a texture from a file and displays it "
			   "using the built-in IGLU function IGLUDraw::Fullscreen().  It also "
			   "allows you to flip the image in X and/or Y."; 
	}

private:

};